Transcripts
GET/v1/transcripts
Transcripts this credential can read
Parameters
| Name | Type | Description |
|---|---|---|
room_id | query · string |
Response 200
| Name | Type | Description |
|---|---|---|
data required | object[] | |
data[].id required | string | |
data[].room_id required | string | null | |
data[].started_at required | string | |
data[].ended_at required | string | null | |
data[].segments required | integer | |
data[].livemode required | boolean |
Example
curl
curl "https://api.kanutus.com/v1/transcripts" \
-H "Authorization: Bearer $KANUTUS_API_KEY"Node.js
const res = await fetch("https://api.kanutus.com/v1/transcripts", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.KANUTUS_API_KEY}`,
},
});
console.log(res.status, await res.json());Python
import os, uuid, requests
r = requests.request(
"GET",
"https://api.kanutus.com/v1/transcripts",
headers={"Authorization": f"Bearer {os.environ['KANUTUS_API_KEY']}"},
)
print(r.status_code, r.json())Try it
Runs from your browser against the real API. Use a kt_test_ key: nothing is charged. The key stays in this tab only.
GET /v1/transcriptsResponses by status
200 Transcripts
200
{
"data": [
{
"id": "string",
"room_id": "string",
"started_at": "string",
"ended_at": "string",
"segments": 0,
"livemode": true
}
]
}400 Invalid request
400 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 400,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}401 Missing, invalid, expired or revoked credential
401 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 401,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}403 Missing permission, blocked or not allowed
403 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 403,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}429 Rate limit exceeded (see RateLimit-* and Retry-After headers)
429 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 429,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}GET/v1/transcripts/{id}
Read a transcript
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string | |
lang | query · string |
Response 200
| Name | Type | Description |
|---|---|---|
id required | string | |
room_id required | string | null | |
lang required | string | |
notice required | string | |
segments required | object[] | |
segments[].speaker required | string | null | |
segments[].src_lang required | string | null | |
segments[].untrusted_content required | object | |
segments[].untrusted_content.text required | string | null | |
segments[].untrusted_content.text_in_lang required | string | null | |
segments[].at required | string |
Example
curl
curl "https://api.kanutus.com/v1/transcripts/ses_4fQ2xWm9Lr7Tb1Kc8Zp3Vd5N" \
-H "Authorization: Bearer $KANUTUS_API_KEY"Node.js
const res = await fetch("https://api.kanutus.com/v1/transcripts/ses_4fQ2xWm9Lr7Tb1Kc8Zp3Vd5N", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.KANUTUS_API_KEY}`,
},
});
console.log(res.status, await res.json());Python
import os, uuid, requests
r = requests.request(
"GET",
"https://api.kanutus.com/v1/transcripts/ses_4fQ2xWm9Lr7Tb1Kc8Zp3Vd5N",
headers={"Authorization": f"Bearer {os.environ['KANUTUS_API_KEY']}"},
)
print(r.status_code, r.json())Try it
Runs from your browser against the real API. Use a kt_test_ key: nothing is charged. The key stays in this tab only.
GET /v1/transcripts/{id}Responses by status
200 Transcript
200
{
"id": "string",
"room_id": "string",
"lang": "string",
"notice": "string",
"segments": [
{
"speaker": "string",
"src_lang": "string",
"untrusted_content": {
"text": "string",
"text_in_lang": "string"
},
"at": "string"
}
]
}400 Invalid request
400 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 400,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}401 Missing, invalid, expired or revoked credential
401 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 401,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}403 Missing permission, blocked or not allowed
403 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 403,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}404 Not found
404 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 404,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}429 Rate limit exceeded (see RateLimit-* and Retry-After headers)
429 application/problem+json
{
"type": "https://docs.kanutus.com/errors",
"title": "<code>",
"status": 429,
"code": "<code>",
"message": "…",
"request_id": "req_…"
}